Bug 112808 - CONTEXT MENU: 'Edit Section' entry appears on indexes
Summary: CONTEXT MENU: 'Edit Section' entry appears on indexes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: implementationError
Depends on:
Blocks: Context-Menu TableofContents-Indexes Section 102132
  Show dependency treegraph
 
Reported: 2017-10-02 06:07 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-18 20:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-02 06:07:52 UTC
The context menu for editing sections was done in bug 102132, but unfortunately when you right-click on a index, the entry appears.

steps
1. open attachment 86189 [details]
2. scroll to page 3
3. right-click on illustration index
4. notice at the bottom there is an 'edit section...' entry.

Version: 6.0.0.0.alpha0+
Build ID: 1d0fbc9927f357d25859b7cca7ea5e9a9637681e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Dieter Praas 2017-10-02 07:29:13 UTC
I confirm this

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 465092047d5fa6ec6dd369372e712d76554570ff
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-09-26_23:16:01
Locale: de-DE (de_DE); Calc: group
Comment 2 Yousuf Philips (jay) (retired) 2017-10-04 21:15:10 UTC
Gulsah: Got time to fix this implementation issue?
Comment 3 Gülşah Köse 2017-10-17 12:12:04 UTC
Resolved in https://gerrit.libreoffice.org/#/c/43456/ needs code review.
Comment 4 Commit Notification 2017-10-18 13:57:36 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e149c4f3dcd08b9331dbbecf31c200d4d3bb02b5

tdf#112808 Disable "Edit Region" command while cursor in an index.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-10-18 20:13:13 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a429282ee0818b8770a9c6d172655178e43c90a4&h=libreoffice-5-4

tdf#112808 Disable "Edit Region" command while cursor in an index.

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.